\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Algebraic Foundations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
FieldNumberType Concept Reference
Concepts

## Definition

The concept `FieldNumberType` combines the requirements of the concepts `Field` and `RealEmbeddable`. A model of `FieldNumberType` can be used as a template parameter for Cartesian kernels.

Refines:

  `Field`

  `RealEmbeddable`

Has Models:

  float

  double

  `CGAL::Gmpq`

  `CGAL::Interval_nt`

  CGAL::Interval_nt_advanced

  `CGAL::Lazy_exact_nt<FieldNumberType>`

  `CGAL::Quotient<RingNumberType>`

  `leda_rational`

  `leda_bigfloat`

  `leda_real`

See Also
  `RingNumberType`
  `Kernel`